> For the complete documentation index, see [llms.txt](https://docs.bloxroute.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloxroute.com/base/submit-transactions/base-transactions.md).

# Base Transactions

The `blxr_tx` endpoint allows users to send a single transaction using the BDN. The endpoint returns a transaction hash.

This service is available via **Cloud API** only.

For latency-sensitive orderflow, WebSocket is recommended and can provide latency improvement over HTTP/HTTPS. If you prefer to short-lived connections, use HTTP over HTTPS for improved latency.

## Submission Endpoint

* Method: `blxr_tx`
* Cloud API Endpoint: `api.blxrbdn.com`
* Request type: *`HTTPS,WSS`*

#### Parameters

<table><thead><tr><th width="240.96529134114581">Parameter</th><th width="195.888916015625">Description</th><th width="314.9652506510417">Instructions &#x26; Notes</th></tr></thead><tbody><tr><td><code>transaction</code></td><td>Raw transactions bytes without <strong><code>0x</code></strong> prefix.</td><td><em>[<strong>Required</strong>]</em> Learn more about constructing the transaction <a href="/eth/sending-transactions/raw-transaction-construction.md">here</a>.</td></tr><tr><td><code>blockchain_network</code></td><td>Blockchain network name.</td><td><em>[<strong>Required</strong>]</em> Set to <code>Base-Mainnet</code>.</td></tr><tr><td><code>backrunme_reward_address</code></td><td>Wallet address <code>String</code> to receive BackRunMe rewards to</td><td><em>[<strong>Optional</strong>]</em> Transactions are automatically enrolled in Backrunning services, from which rewards are shared with the specified <code>backrunme_reward_address</code>.</td></tr></tbody></table>

### **Examples**

{% tabs %}
{% tab title="wscat WS" %}

```bash
wscat -c wss://api.blxrbdn.com/ws --header "Authorization: <YOUR-AUTHORIZATION-HEADER>"
> {"jsonrpc": "2.0", "id": 1, "method": "blxr_tx", "params":
   {"transaction": "f86b0184...e0b58219", "blockchain_network": "Base-Mainnet"}}
< ...
```

{% endtab %}

{% tab title="HTTPS POST" %}

```bash
curl -X POST https://api.blxrbdn.com \
  -H "Authorization: <YOUR-AUTHORIZATION-HEADER>" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "blxr_tx",
    "params": {
      "transaction": "f86b0184...e0b58219",
      "blockchain_network": "Base-Mainnet"
    }
  }'
```

{% endtab %}
{% endtabs %}

#### Response

{% tabs %}
{% tab title="" %}

```bash
{
    "jsonrpc": "2.0", 
    "id": "1", 
    "result": {
        "txHash": "ffd59870844e5...bfa54a69"
    }
}    
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloxroute.com/base/submit-transactions/base-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
